﻿<UserControl x:Class="WpfUI.Components.SiteComponents.EditSite"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:WpfUI.Components.SiteComponents"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <StackPanel Orientation="Vertical"  Width="500" Margin="50">
        <!--<ProgressBar
                x:Name="DeterminateCircularProgress"
                IsIndeterminate="True"
                Width="100"
                Height="100"
                Style="{StaticResource MaterialDesignCircularProgressBar}"
                Visibility="{Binding IsLoading, Converter={StaticResource BooleanToVisibilityConverter}}"/>-->

        <StackPanel Orientation="Vertical" Visibility="{Binding HasErrorMessage, Converter={StaticResource BooleanToVisibilityConverter}}">
            <Label Content="{Binding ErrorMessage}" Foreground="#b53847" FontSize="18" />
            <Button 
                Margin="10"
                Width="120" 
                Content="Annuler" 
                Background="#b53847" 
                Grid.Column="1"
                Command="{Binding CancelCommand}"/>
        </StackPanel>

        <StackPanel Visibility="{Binding HasErrorMessage, Converter={StaticResource InverseBoolToVisConverter}}">
            <Label Content="Nom" />
            <TextBox Text="{Binding Site.Name}" />

            <Grid Margin="0 30 0 0">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition />
                    <ColumnDefinition />
                </Grid.ColumnDefinitions>
                <Button 
                    Margin="10"
                    Width="120" 
                    Content="Valider" 
                    Background="#3854b5"
                    Grid.Column="0"
                    Command="{Binding SubmitCommand}"/>
                <Button 
                    Margin="10"
                    Width="120" 
                    Content="Annuler" 
                    Background="#b53847" 
                    Grid.Column="1"
                    Command="{Binding CancelCommand}"/>
            </Grid>
        </StackPanel>
    </StackPanel>
</UserControl>
